{ stdenv, lib, fetchFromGitHub, python38Packages, wrapQtAppsHook }:

python38Packages.buildPythonApplication rec {
  pname = "nagstamon";
  version = "3.7.0-alpha";

  src = fetchFromGitHub {
    owner  = "HenriWahl";
    repo = "Nagstamon";
    rev = "dba37dc034589dfb312c6e8a7cc768bcd1952db9";
    sha256 = "1l095halb55qinaik51p3lxiln1s034dr28k7ra6xzrrv9l1x1xw";
  };

  doCheck = false;

  nativeBuildInputs = [ wrapQtAppsHook ];
  dontWrapQtApps = true;
  postFixup = ''
    wrapQtApp $out/bin/nagstamon.py
  '';

  propagatedBuildInputs = with python38Packages; [
    beautifulsoup4
    configparser
    dateutil
    kerberos
    keyring
    lxml
    psutil
    pyqt5_with_qtmultimedia
    requests
    requests-kerberos
    xlib
  ];

  meta = with lib; {
    description = "A status monitor for the desktop";
    homepage = "https://nagstamon.ifw-dresden.de/";
    license = licenses.gpl2;
    maintainers = with maintainers; [ foosinn ];
    inherit version;
  };
}

