with import <nixpkgs> {};

stdenv.mkDerivation {
  name = "oc311";
  version = "3.11";
  src = fetchurl {
    url = "https://github.com/openshift/origin/releases/download/v3.11.0/openshift-origin-client-tools-v3.11.0-0cbc58b-linux-64bit.tar.gz";
    sha256 = "4b0f07428ba854174c58d2e38287e5402964c9a9355f6c359d1242efd0990da3";
  };

  nativeBuildInputs = [
    autoPatchelfHook
  ];

  unpackPhase = ''
    tar xvpzf $src --strip-components=1
  '';

  installPhase = ''
    install -m 755 -D oc $out/bin/oc3
  '';

  meta = with lib; {
    homepage = "https://www.odk.io";
    description = "openshift311 client";
    platforms = platforms.linux;
    maintainers = with maintainers; [ foosinn ];
  };
}
