with import <nixpkgs> {};

stdenv.mkDerivation rec {
  name = "oc46";
  version = "4.6";
  src = fetchurl {
    url = "https://github.com/openshift/okd/releases/download/4.6.0-0.okd-2021-02-14-205305/openshift-client-linux-4.6.0-0.okd-2021-02-14-205305.tar.gz";
    sha256 = "741c456f1d5227eb40722b0dac328c78dceba5103fd306cf7fe57a9474eb3d35";
  };

  nativeBuildInputs = [
    autoPatchelfHook
  ];

  unpackPhase = ''
    tar xvpzf $src
  '';

  installPhase = ''
    install -m 755 -D oc $out/bin/oc
  '';

  meta = with lib; {
    homepage = "https://www.odk.io";
    description = "openshift 4.6 client";
    platforms = platforms.linux;
    maintainers = with maintainers; [ foosinn ];
  };
}
