with import <nixpkgs> {};

stdenv.mkDerivation rec {
  name = "openshift-install-4.5";
  version = "4.5.0-0";
  release = "2020-10-03-012432";
  src = fetchurl {
    url = "https://github.com/openshift/okd/releases/download/${version}.okd-${release}/openshift-install-linux-${version}.okd-${release}.tar.gz";
    sha256 = "f497193e8918840a4fd3267839affdc91ec166c5fd2ae3fdc64f498b5fc56f55";
  };

  nativeBuildInputs = [
    autoPatchelfHook
  ];

  unpackPhase = ''
    tar xvpzf $src
  '';

  installPhase = ''
    install -m 755 -D openshift-install $out/bin/openshift-install
  '';

  meta = with lib; {
    homepage = "https://www.odk.io";
    description = "openshift 4.5 installer";
    platforms = platforms.linux;
    maintainers = with maintainers; [ foosinn ];
  };
}
