with import <nixpkgs> {};

stdenv.mkDerivation rec {
  name = "vaultsink";
  version = "0.1.8";
  src = fetchurl {
    url = "https://github.com/cookiefactory/vault-sink/releases/download/v${version}/vault-sink-linux-amd64";
    sha256 = "057799e7f907186993b591e3b2f743b69d7a9fed";
  };

  nativeBuildInputs = [
    autoPatchelfHook
  ];

  installPhase = ''
    install -m 755 -D vault-sink-linux-amd64 $out/bin/sink
  '';

  meta = with lib; {
    homepage = "https://github.com/cookiefactory/vault-sink";
    description = "Vault Secret helper for yaml files";
    platforms = platforms.linux;
    maintainers = with maintainers; [ foosinn ];
  };
}
